﻿using UnityEngine;
using FL.Battle;

namespace FL.Nodes.GameMain
{
    public struct LoadEntitiesDto
    {
        public int chapterId;
        public bool isPlayerMove;
        public Vector3 battlePosition;
        public float monsterMoveDistance;
        public PlayerEntity player;
        public PartnerEntity[] partners;
        public MonsterEntity[] monsters;
    }
    public struct HpAddDto
    {
        public int hpValue;
        public Vector3 position;
    }
    public struct SkillEffectDto
    {
        public string skillEffect;
        public string hitEffect;
        public string bulletEffect;
        public int skillTime;
        public Vector3 from;
        public Vector3 to;
        public HpAddDto hpAdd;
    }
}
